<?php namespace App\Models;

use Illuminate\Auth\Authenticatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class documentosmobile extends Sximo  {
	
	protected $table = 'documentosmobile';
	protected $primaryKey = 'DocID';

	public function __construct() {
		parent::__construct();
		

	}

	public static function querySelect(  ){
		
		return "  SELECT documentosmobile.* FROM documentosmobile  ";
	}	

	public static function queryWhere(  ){
	    
	    	$id = Auth::id();

		$dbcon = 0;
		$sql = \DB::table('tb_users')->where('id',$id)->get();
		if(count($sql)){
			$row = $sql[0];
			$Condominio =$row->Condominio;
		}	
		
	    
		return "  WHERE documentosmobile.DocID IS NOT NULL AND documentosmobile.Condominio='$Condominio' ";
	}
	
	public static function queryGroup(){
		return "  ";
	}
	

}
